# Generated from redoxed-web-0.13.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redoxed-web

Name: rubygem-%{gem_name}
Version: 0.13.1
Release: 1%{?dist}
Summary: sinatra API + webUI for Redoxed
License: Apache-2.0
URL: http://github.com/redoxed/redoxed-web
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(rails_best_practices) >= 1.19
# BuildRequires: rubygem(rails_best_practices) < 2
# BuildRequires: rubygem(rubocop) >= 0.81.0
# BuildRequires: rubygem(rubocop) < 0.82
# BuildRequires: rubygem(rubocop-rails) >= 2.5.2
# BuildRequires: rubygem(rubocop-rails) < 2.6
BuildArch: noarch

%description
puma+sinatra+haml webUI + REST API for Redoxed.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/redoxed-web.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.13.1-1
- Initial package
